/* ---------------------------------------- Reseteamos y limpiamos todos los margenes internos y externos ---------------------------------------- */

*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html,
body {
  width: 100%;
  height: 100%;
  margin: 0;
  background-color: #F2EFE7;
    
  overflow: hidden;
}

/* ---------------------------------------- Visual para celulares ---------------------------------------- */

@media (max-width: 500px) {
    
    .gradient{
        width: 100%;
        height: 100%;
        background: linear-gradient(
        to top,
        rgba(0, 0, 0) 0%,
        rgba(0, 0, 0) 40%,
        rgba(0, 0, 0, 0.3) 70%,
        transparent 80%
      );
    }
    
    /* Contenedor del login */
  .contenedor {
    position: absolute;
    width: 350px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 20px;
    
    border: 1px solid #333533;
    
 
  }

  /* Etiquetas */
  .contenedor label {
    display: block;
    text-align: left;
    margin-bottom: 3px;
    font-weight: 200;
    color: #e8eddf;
  }

  /* Inputs */
  .contenedor input {
      
      
    width: 100%;
    
    border: none;
    outline: none;
    box-shadow: none;
    padding: 5px;
    margin-bottom: 10px;
    background-color: transparent;
    border-bottom: 1px solid #333533;
    color:#60E19A;
    font-size: 12px;
    box-sizing: border-box;
    transition: 0.3s;
  }

  /* Efecto al escribir */
  .contenedor input:focus {
    outline: none;
    border-color: #fff;
    box-shadow: 0 0 8px rgba(0, 0, 0, 0.3);
  }

 
  /* Botón iniciar sesión */
  .contenedor button[type="submit"] {
      
      width: 100%;
    padding: 5px;
    margin-top: 10px;
    border: none;
    border-radius: 10px;
    font-size: 12px;
    font-weight: 400;
    cursor: pointer;
    transition: 0.3s;
      
    background: #60E19A;
    color: black;
  }

  .contenedor button[type="submit"]:hover {
    background: #24F07D;
    transform: translateY(-2px);
  }

  /* Botón registrar */
  .contenedor .Registrar {
      
      width: 90px;
    padding: 5px;
    margin-top: 10px;
    border: none;
    font-size: 12px;
    font-weight: 400;
    cursor: pointer;
    transition: 0.3s;
    float:right;
      
    background-color: transparent;
    color: white;
  }

  .contenedor .Registrar:hover {
    transform: translateY(-2px);
  }

}

/* ---------------------------------------- Visual para PC ---------------------------------------- */

@media (min-width: 501px) {
}
